package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"sebljoin", "sebllink", "seblmvlink", "seblmvlinkrel"}
)
@XmlRootElement(
   name = "SEBLSRCINFO"
)
public class SEBLSRCINFO {
   @XmlElement(
      name = "SEBLJOIN"
   )
   protected List<SEBLJOIN> sebljoin;
   @XmlElement(
      name = "SEBLLINK"
   )
   protected List<SEBLLINK> sebllink;
   @XmlElement(
      name = "SEBLMVLINK"
   )
   protected List<SEBLMVLINK> seblmvlink;
   @XmlElement(
      name = "SEBLMVLINKREL"
   )
   protected List<SEBLMVLINKREL> seblmvlinkrel;

   public List<SEBLJOIN> getSEBLJOIN() {
      if (this.sebljoin == null) {
         this.sebljoin = new ArrayList();
      }

      return this.sebljoin;
   }

   public List<SEBLLINK> getSEBLLINK() {
      if (this.sebllink == null) {
         this.sebllink = new ArrayList();
      }

      return this.sebllink;
   }

   public List<SEBLMVLINK> getSEBLMVLINK() {
      if (this.seblmvlink == null) {
         this.seblmvlink = new ArrayList();
      }

      return this.seblmvlink;
   }

   public List<SEBLMVLINKREL> getSEBLMVLINKREL() {
      if (this.seblmvlinkrel == null) {
         this.seblmvlinkrel = new ArrayList();
      }

      return this.seblmvlinkrel;
   }
}
